Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Tue, 06 Sep 2022 01:59:20 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery The delivery experience of my order 8184927040 was awful. My order was delivered almost 7 hours after I received a text that the order is on its way. Almost 7 hours with no communication whatsoever from the courier!!! I frequently order online from Centrepoint and this has never happened before. Usually the delivery is completed within one hour after receiving the text.  This time, a full day has been wasted waiting at home for the delivery!!! I would’ve saved more time if I went myself to a store in order to pick up my order.   In addition ,I received an item that is the wrong color!!! Also, another of the ordered items was canceled due to “reasons beyond your control”.  I am extremely shocked and disappointed with my shopping experience. This was unexpected. So unprofessional of you. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4831244